﻿.drawer-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1050;
}

.drawer-panel {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 400px;
    background-color: #fff;
    z-index: 1060;
    overflow-y: auto;
    box-shadow: 2px 0 8px rgba(0, 0, 0, 0.3);
    animation: slideIn 0.3s ease-out;
}

@keyframes slideIn {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}


.buscador-amplio {
    min-width: 300px;
    max-width: 100%;
    width: 100%;
    flex: 1 1 100%;
}

.bg-naranja {
    background-color: #ff6b00; /* Naranja */
    border-bottom: 1px solid #ddd;
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav a:hover {
    color: #ff6b00 !important;
}

.top-navbar {
    background-color: #ff6b00; /* Naranja */
    border-bottom: 1px solid #ddd;
    position: sticky;
    top: 0;
    z-index: 1000;
}



/* Texto más pequeño como en HomeDepot */
.tienda-header {
    font-size: 0.85rem;
    color: #333;
}

.tienda-nombre {
    font-weight: bold;
    font-size: 1rem;
    margin-bottom: 2px;
}

.tienda-estado {
    font-size: 0.85rem;
    color: red;
}

/* Botón de cambiar tienda */
.btn-cambiar {
    font-size: 0.75rem;
    padding: 3px 10px;
}

/* Estilo del slider de tiendas */
.slider-container {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    gap: 1rem;
    padding: 1rem;
    scroll-behavior: smooth;
}

.slider-card {
    scroll-snap-align: start;
    min-width: 300px;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 10px;
    flex-shrink: 0;
    background-color: #fff;
}

.slider-button {
    background: none;
    border: none;
    font-size: 1.5rem;
    padding: 0 10px;
    cursor: pointer;
}

.carousel-inner img {
    height: 400px;
    object-fit: cover;
}

.btn-naranja {
    background-color: #ff6b00 !important;
    color: white !important;
    border: none;
    font-weight: bold;
}


    .btn-naranja:hover {
        background-color: #e65c00;
    }

.offcanvas {
    transition: all 0.3s ease-in-out;
    box-shadow: -4px 0 12px rgba(0,0,0,0.1);
}

footer {
    margin-top: auto;
    background-color: #FFA500; /* naranja */
}


